Skip to content

Verify an Email OTP

Request

OAuth 2.0 scope:
  • okta.myAccount.email.manage

Verifies the email challenge with the code that the user receives from the "Confirm email address change" email. Once verified, the email is active.

Path
idstringrequired

The email ID Use GET /idp/myaccount/emails or POST /idp/myaccount/emails operations to obtain the email ID when adding a new email address.

Example:00T196qTp3LIMZQ0L0g3
challengeIdstringrequired

The challengeId of the email Use the POST /idp/myaccount/emails/{id}/challenge operation to obtain the challengeId when creating a new challenge.

Example:x1MDGzUb
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
verificationCodestring, (password)write-onlyrequired

A six-digit verification code sent to the user in the "Confirm email address change" email

Example:"498560"
POST
/idp/myaccount/emails/{id}/challenge/{challengeId}/verify
curl -i -X POST \
  https://subdomain.okta.com/idp/myaccount/emails/00T196qTp3LIMZQ0L0g3/challenge/x1MDGzUb/verify \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "verificationCode": "456058"
  }'

Responses

OK

Bodyapplication/json;okta-version=1.0.0
Response
No content